@echo off

rem This uses Digital Mars' C++ compiler to compile our new Go!.exe.

rem This commented-out section uses Borland C++ 5.5's brc32 to compile res.rc to res.res. You'd need to change the path. You don't need to uncomment this unless you change the icon for Go or something.
rem mode con: cols=80 lines=50
rem set path=c:\rich\borland\bcc55\bin;c:\windows\system32;c:\windows;c:\windows\command
rem brc32 -fores.res -32 res.rc
rem del *.$$$

set path=c:\dm\bin;c:\windows\system32;c:\windows;c:\windows\command
set lib=

cls

del inbox32.exe
cls
echo Compiling inbox32...
rem dmc.exe -oTriceratops.exe -D -g -DWINDOWS -DMULTI triceratops.cpp triceratops.def -mn -5 | more
dmc.exe -oinbox32.exe -DWINDOWS -DMULTI inbox32.cpp inbox32.def -mn -5 | more
rem -D -g for debug
if exist "inbox32.exe" goto createinbox
goto x

:createinbox
del CreateInbox.exe
cls
echo Compiling CreateInbox...
rem dmc.exe -oTriceratops.exe -D -g -DWINDOWS -DMULTI triceratops.cpp triceratops.def -mn -5 | more
dmc.exe -D -g -oCreateInbox.exe -DWINDOWS -DMERGER -DMULTI inbox32.cpp inbox32.def -mn -5 | more
rem -D -g for debug
if exist "CreateInbox.exe" goto good
goto x

:good
copy inbox32.exe "..\inbox32.exe"
copy CreateInbox.exe "..\CreateInbox.exe"

:x
del *.obj
del inbox32.exe
del CreateInbox.exe
pause